connection_info:
  database: GITLAB_COM_CI_DB_NAME
  host: GITLAB_COM_CI_DB_HOST
  pass: GITLAB_COM_CI_DB_PASS
  port: GITLAB_COM_CI_DB_PORT
  user: GITLAB_COM_CI_DB_USER
tables:
  ci_builds:
    dbt_source_model: true
    export_schema: 'gitlab_com'
    export_table: ci_builds
    export_table_primary_key: id
    import_db: GITLAB_DB
    import_query: |-
      SELECT id
      , status
      , finished_at
      , trace
      , created_at
      , updated_at
      , started_at
      , runner_id
      , coverage
      , commit_id
      , name
      , options
      , allow_failure
      , stage
      , trigger_request_id
      , stage_idx
      , tag
      , ref
      , user_id
      , type
      , target_url
      , description
      , project_id
      , erased_by_id
      , erased_at
      , CASE WHEN artifacts_expire_at > '2262-01-01' THEN '2262-01-01' ELSE artifacts_expire_at END AS artifacts_expire_at
      , environment
      , "when"
      , yaml_variables
      , queued_at
      , lock_version
      , coverage_regex
      , auto_canceled_by_id
      , retried
      , stage_id
      , protected
      , failure_reason
      , scheduled_at
      , upstream_pipeline_id
      FROM ci_builds
      WHERE updated_at BETWEEN '{BEGIN_TIMESTAMP}'::timestamp
        AND '{END_TIMESTAMP}'::timestamp
  ci_secure_files:
    dbt_source_model: true
    export_schema: 'gitlab_com'
    export_table: ci_secure_files
    export_table_primary_key: id
    import_db: GITLAB_DB
    import_query: |-
      SELECT id
      , project_id
      , created_at
      , updated_at
      , file_store
      , permissions
      , name
      , file
      , checksum
      , key_data
      FROM ci_secure_files
      WHERE updated_at BETWEEN '{BEGIN_TIMESTAMP}'::timestamp
        AND '{END_TIMESTAMP}'::timestamp
  ci_group_variables:
    dbt_source_model: true
    export_schema: 'gitlab_com'
    export_table: ci_group_variables
    export_table_primary_key: id
    import_db: GITLAB_DB
    import_query: |-
      SELECT id
      , key
      , group_id
      , created_at
      , updated_at
      , masked
      , variable_type
      FROM ci_group_variables
      WHERE updated_at BETWEEN '{BEGIN_TIMESTAMP}'::timestamp
        AND '{END_TIMESTAMP}'::timestamp
  ci_job_artifacts:
    additional_filtering: AND created_at NOT IN ( '0001-01-01 00:00:00+00', '1000-01-01 00:00:00+00', '10000-01-01 00:00:00+00')
    dbt_source_model: true
    export_schema: 'gitlab_com'
    export_table: ci_job_artifacts
    export_table_primary_key: id
    import_db: GITLAB_DB
    import_query: |-
      SELECT id
      , project_id
      , job_id
      , file_type
      , size
      , created_at
      , updated_at
      , CASE WHEN expire_at > '2262-01-01' THEN '2262-01-01' ELSE expire_at END AS expire_at
      , file
      , file_store
      , file_format
      , file_location
      , locked
      FROM ci_job_artifacts
      WHERE updated_at BETWEEN '{BEGIN_TIMESTAMP}'::timestamp
        AND '{END_TIMESTAMP}'::timestamp
  ci_pipeline_schedule_variables:
    dbt_source_model: true
    export_schema: 'gitlab_com'
    export_table: ci_pipeline_schedule_variables
    export_table_primary_key: id
    import_db: GITLAB_DB
    import_query: |-
      SELECT id
      , key
      , pipeline_schedule_id
      , created_at
      , updated_at
      , variable_type
      FROM ci_pipeline_schedule_variables
      WHERE updated_at BETWEEN '{BEGIN_TIMESTAMP}'::timestamp
        AND '{END_TIMESTAMP}'::timestamp
  ci_pipeline_schedules:
    dbt_source_model: true
    export_schema: 'gitlab_com'
    export_table: ci_pipeline_schedules
    export_table_primary_key: id
    import_db: GITLAB_DB
    import_query: |-
      SELECT id
      , description
      , ref
      , cron
      , cron_timezone
      , next_run_at
      , project_id
      , owner_id
      , active
      , created_at
      , updated_at
      FROM ci_pipeline_schedules
      WHERE updated_at BETWEEN '{BEGIN_TIMESTAMP}'::timestamp
        AND '{END_TIMESTAMP}'::timestamp
  ci_pipelines:
    dbt_source_model: true
    export_schema: 'gitlab_com'
    export_table: 'ci_pipelines'
    export_table_primary_key: id
    import_db: GITLAB_DB
    import_query: |-
      SELECT id
      , created_at
      , updated_at
      , ref
      , tag
      , yaml_errors
      , committed_at
      , project_id
      , status
      , started_at
      , finished_at
      , duration
      , user_id
      , lock_version
      , auto_canceled_by_id
      , pipeline_schedule_id
      , source
      , config_source
      , protected
      , failure_reason
      , iid
      , merge_request_id
      FROM ci_pipelines
      WHERE updated_at BETWEEN '{BEGIN_TIMESTAMP}'::timestamp
        AND '{END_TIMESTAMP}'::timestamp
  ci_platform_metrics:
    dbt_source_model: true
    export_schema: 'gitlab_com'
    export_table: ci_platform_metrics
    export_table_primary_key: id
    import_db: GITLAB_DB
    import_query: |-
      SELECT id
      , recorded_at
      , platform_target
      , count
      FROM ci_platform_metrics
      WHERE recorded_at BETWEEN '{BEGIN_TIMESTAMP}'::timestamp
        AND '{END_TIMESTAMP}'::timestamp
  ci_runner_projects:
    dbt_source_model: true
    export_schema: 'gitlab_com'
    export_table: ci_runner_projects
    export_table_primary_key: id
    import_db: GITLAB_DB
    import_query: |-
      SELECT id
      , runner_id
      , created_at
      , updated_at
      , project_id
      FROM ci_runner_projects
      WHERE updated_at BETWEEN '{BEGIN_TIMESTAMP}'::timestamp
        AND '{END_TIMESTAMP}'::timestamp
  ci_runners:
    dbt_source_model: true
    export_schema: 'gitlab_com'
    export_table: ci_runners
    export_table_primary_key: id
    import_db: GITLAB_DB
    import_query: |-
      SELECT id
      , created_at
      , updated_at
      , description
      , contacted_at
      , active
      , name
      , version
      , revision
      , platform
      , architecture
      , run_untagged
      , locked
      , access_level
      , ip_address
      , maximum_timeout
      , runner_type
      , public_projects_minutes_cost_factor
      , private_projects_minutes_cost_factor
      FROM ci_runners
      WHERE updated_at BETWEEN '{BEGIN_TIMESTAMP}'::timestamp
        AND '{END_TIMESTAMP}'::timestamp
  ci_stages:
    dbt_source_model: true
    export_schema: 'gitlab_com'
    export_table: ci_stages
    export_table_primary_key: id
    import_db: GITLAB_DB
    import_query: |-
      SELECT id
      , project_id
      , pipeline_id
      , created_at
      , updated_at
      , name
      , status
      , lock_version
      , position
      FROM ci_stages
      WHERE updated_at BETWEEN '{BEGIN_TIMESTAMP}'::timestamp
        AND '{END_TIMESTAMP}'::timestamp
  ci_trigger_requests:
    dbt_source_model: true
    export_schema: 'gitlab_com'
    export_table: ci_trigger_requests
    export_table_primary_key: id
    import_db: GITLAB_DB
    import_query: |-
      SELECT id
      , trigger_id
      , variables
      , created_at
      , updated_at
      , commit_id
      FROM ci_trigger_requests
      WHERE updated_at BETWEEN '{BEGIN_TIMESTAMP}'::timestamp
        AND '{END_TIMESTAMP}'::timestamp
  ci_triggers:
    dbt_source_model: true
    export_schema: 'gitlab_com'
    export_table: ci_triggers
    export_table_primary_key: id
    import_db: GITLAB_DB
    import_query: |-
      SELECT id
      , created_at
      , updated_at
      , project_id
      , owner_id
      , description
      FROM ci_triggers
      WHERE updated_at BETWEEN '{BEGIN_TIMESTAMP}'::timestamp
        AND '{END_TIMESTAMP}'::timestamp
